<?php

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
{
	$ssi = true;
	require_once(dirname(__FILE__) . '/SSI.php');
}

elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

global $db_prefix, $smcFunc;

	db_extend('packages');


// Prepare colum info.
$columns = array(
	array(
		'name' => 'url',
		'type' => 'varchar',
		'size' => 32,
		'null' => false,
	),
	array(
		'name' => 'pr',
		'type' => 'tinyint',
		'size' => 2,
		'null' => false,
	    'default' => 0
	),
	array(
		'name' => 'timestamp',
		'type' => 'tinytext',
		'null' => false,
	    'default' => ''
	),
	
); 


//	Set up the correct indexes for the table.
$indexes = array(
	array(
		'type' => 'primary',
		'columns' => array('url')
	),
);

$smcFunc['db_create_table']($db_prefix . 'pagerank', $columns, $indexes, array('no_prefix' => true));



// Show SSI'ers a nice message.
if (!empty($ssi))
	echo 'Database installation complete!';

?>